<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>EGov-Passport</title>
    <meta name="description" content="EGov-Passport Integration Demonstration">
    <meta name="author" content="Tiago Venceslau">

    <meta property="og:title" content="EGov-Passport Workspace">
    <meta property="og:type" content="website">
    <meta property="og:url" content="https://www.sitepoint.com/a-basic-html5-template/">
    <meta property="og:description" content="EGov-Passport Glass Demonstration based on DSU Blueprint">
    <meta property="og:image" content="image.png">

    <link rel="icon" href="/favicon.ico">
    <link rel="icon" href="/favicon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="/apple-touch-icon.png">


    <script>var glassEnv = (window.location.href && window.location.href.match("egov-passport.*\\.localhost")>=0)
        ? 'localdocker'
        : (window.location.href && window.location.href.indexOf("localhost")>=0)
        ? 'localhost'
        : (window.location.href && window.location.href.indexOf("dev.glass.")>=0)
        ? 'DEV'
        : '';
        if (glassEnv)
            document.title = document.title + ' ' + glassEnv;
    </script>

<!--    Ionic CDN-->
    <script type="module" src="https://cdn.jsdelivr.net/npm/@ionic/core/dist/ionic/ionic.esm.js"></script>
    <script nomodule src="https://cdn.jsdelivr.net/npm/@ionic/core/dist/ionic/ionic.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@ionic/core/css/ionic.bundle.css" />

    <style>
        html {
            height: 100%;
            width: 100%;
        }

        body {
            margin: 0;
            padding: 0;
            font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
            font-size: 1rem;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: cover;
            height: 100%;
            width: 100%;
            display: block !important;
        }

        ion-card ion-icon{
            font-size: 64px;
            color: var(--ion-color-medium);
        }
    </style>
</head>

<body>
    <ion-grid>
        <ion-row>
            <ion-col size="12" size-lg="3" size-md="4">
                <ion-card id="bourl" button="true" href="http://localhost:4202/backoffice" target="_blank"><!-- TODO replace by traefik relative address-->
                    <script>
                        if (glassEnv==="localdocker" || glassEnv==="DEV" || glassEnv==="") {
                            const bourlElement = document.body.querySelector(`#bourl`);
                            bourlElement.setAttribute("href", `/backoffice`);
                        }
                    </script>
                    <div class="ion-text-center">
                        <ion-icon name="people"></ion-icon>
                    </div>
                    <ion-card-header>
                        <ion-card-subtitle>Legacy Web Management</ion-card-subtitle>
                        <ion-card-title>EGovPassport Legacy</ion-card-title>
                    </ion-card-header>
                    <ion-card-content>
                        <p>A legacy web application (built on top of a classic RDBMS) under the scope of a specific government agency.</p>
                        <p>Managing existing citizenship IDentities, and also the creation of a GLASS EGovPassport wallet to a citizen. 
                            To demonstrate changing data in the legacy RDBMS and updating the GLASS EGovPassport wallet, there is also a functionality to change the citizenship (municipality).</p>
                        <p>Only for authenticated users of the government agency. See the entry page for demonstration credentials.</p>
                    </ion-card-content>
                </ion-card>
            </ion-col>
            <ion-col size="12" size-lg="3" size-md="4">
                <ion-card id="boresturl" button="true" href="http://localhost:3002/borest/api" target="_blank"><!-- TODO replace by traefik relative address-->
                    <script>
                        if (glassEnv==="localdocker" || glassEnv==="DEV" || glassEnv==="") {
                            const boresturlElement = document.body.querySelector(`#boresturl`);
                            boresturlElement.setAttribute("href", `/borest/api`);
                        }
                    </script>
                    <div class="ion-text-center">
                        <ion-icon name="server"></ion-icon>
                    </div>
                    <ion-card-header>
                        <ion-card-subtitle>Access legacy EGovPassport RDBMS and manage GLASS wallet association.</ion-card-subtitle>
                        <ion-card-title>REST services for EGovPassport</ion-card-title>
                    </ion-card-header>
                    <ion-card-content>
                        <p>A set of REST services (documented with OpenAPI) to browse the legacy RDBMS and also manage Glass EGovPassport services under the scope of the same government agency.</p>
                        <p>Required by the Legacy Web Management app.</p>
                        <p>These REST services are authenticated using JWT based on the government agency user credentials. (See the Legacy Web Management app entry page for demonstration credentials).</p>
                    </ion-card-content>
                </ion-card>
            </ion-col>
        </ion-row>
    </ion-grid>
<!-- your content here... -->
    <ion-footer>
        <ion-toolbar>
            <ion-note>v<!-- VERSION_START -->2.0.1-ge5c7684<!-- VERSION_END --> &copy;&nbsp;2023 <a href="https://www.glass-h2020.eu">Glass</a> - All Rights Reserved</ion-note>
        <ion-toolbar>
    </ion-footer>
</body>
</html>
